## ros-ros 1.12.5

=== core/mk/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mk)
find_package(catkin REQUIRED)
catkin_package()

# do not wildcard install files since the root folder of the package will contain a debian folder for releasing
install(FILES
  buildtest.mk
  bzr_checkout.mk
  cmake.mk
  cmake_stack.mk
  download_unpack_build.mk
  eclipse.awk
  git_checkout.mk
  hg_checkout.mk
  make_pydev_project.py
  svn_checkout.mk
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== core/roslib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roslib)
find_package(catkin REQUIRED COMPONENTS rospack)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES roslib
  CFG_EXTRAS roslib-extras.cmake)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

# Avoid a boost warning that pops up when using msvc compiler
if(MSVC)
  add_definitions(-D_SCL_SECURE_NO_WARNINGS)
endif()

add_library(roslib src/package.cpp)
target_link_libraries(roslib ${Boost_LIBRARIES} ${catkin_LIBRARIES})

if(NOT (APPLE OR WIN32 OR MINGW OR ANDROID))
  target_link_libraries(roslib rt)
endif()


if(CMAKE_HOST_UNIX)
  catkin_add_env_hooks(10.ros SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
else()
  catkin_add_env_hooks(10.ros SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

catkin_python_setup()

install(TARGETS roslib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)
catkin_install_python(PROGRAMS scripts/gendeps
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)

  catkin_add_gtest(${PROJECT_NAME}-utest test/utest.cpp WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  if(TARGET ${PROJECT_NAME}-utest)
    target_link_libraries(${PROJECT_NAME}-utest roslib ${Boost_LIBRARIES} ${catkin_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_package test/package.cpp)
  if(TARGET ${PROJECT_NAME}-test_package)
    target_link_libraries(${PROJECT_NAME}-test_package roslib ${catkin_LIBRARIES})
  endif()
endif()

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/export.cmake "")
export(TARGETS roslib FILE ${CMAKE_CURRENT_BINARY_DIR}/export.cmake APPEND)
#include(${CMAKE_CURRENT_BINARY_DIR}/export.cmake)

=== tools/rosbash/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbash)
find_package(catkin)
catkin_package()

install(FILES rosbash rosfish rostcsh roszsh
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS scripts/rosrun
  DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

# making toplevel forward script for bash script rosrun
set(BASH_SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/scripts/rosrun)
configure_file(${catkin_EXTRAS_DIR}/templates/script.bash.in
  ${CATKIN_DEVEL_PREFIX}/bin/rosrun
  @ONLY)

catkin_add_env_hooks(15.rosbash SHELLS bash fish tcsh zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

=== tools/rosclean/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosclean)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/roscreate/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roscreate)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

install(DIRECTORY templates/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/templates
  PATTERN ".svn" EXCLUDE)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/rosunit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosunit)
find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS ${PROJECT_NAME}-extras.cmake)

catkin_python_setup()

catkin_install_python(PROGRAMS
  scripts/check_test_ran.py
  scripts/clean_junit_xml.py
  scripts/pycoverage_to_html.py
  scripts/summarize_results.py
  scripts/test_results_dir.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-ros (1.12.5-4) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 11:14:56 +0100

ros-ros (1.12.5-3) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 13:11:52 +0100

ros-ros (1.12.5-2) unstable; urgency=medium

  * Updated for multiarch catkin
  * Rename mk to ros-mk

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 07 Dec 2015 14:15:05 +0000

ros-ros (1.12.5-1) unstable; urgency=medium

  * Initial release. (Closes: #804921)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 18 Nov 2015 21:11:05 +0000

=== debian/control ===
Source: ros-ros
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
	       python,
	       catkin (>= 0.6.16-4),
	       librospack-dev,
	       libboost-program-options-dev,
	       libboost-filesystem-dev,
	       libboost-thread-dev,
	       libgtest-dev,
	       libtinyxml-dev,
	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
	       dh-python,
	       libpython-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-ros.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-ros.git
Homepage: http://www.ros.org/wiki/ROS

Package: ros-mk
Section: devel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS make file helpers
 This package is part of Robot OS (ROS). It is a collection of make
 include files for building ROS architectural elements.  Most package
 authors should use cmake.mk, which calls CMake for the build of the
 package. The other files in this package are intended for use in
 exotic situations that mostly arise when importing 3rdparty code.

Package: rosbuild
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python
Multi-Arch: foreign
Description: scripts for managing the Robot OS build system
 This package is part of Robot OS (ROS). Rosbuild solves the core
 problem of gathering appropriate build flags from, and tracking
 dependencies in, the ROS package tree. The macros provided by
 rosbuild automatically inherit the union of build flags exported by
 packages on which your package depends.

Package: roslang
Section: devel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common meta-package for all Robot OS client libraries
 This package is part of Robot OS (ROS). It is mainly used to find
 client libraries (via 'rospack depends-on1 roslang'). The roslang
 package is only of interest to those implementing a ROS client
 library. Client libraries mark themselves as such by depending on
 the roslang package, which allows rosbuild and other tools to perform
 appropriate actions, such as msg- and srv-based code generation. The
 roslang package itself contains no actual code.

Package: libroslib-dev
Section: libdevel
Architecture: any
Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev
Description: development files for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the development files for the library.

Package: libroslib0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the C library.

Package: python-roslib
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg, catkin
Description: Python library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides base dependencies
 and support libraries for ROS. roslib contains many of the common
 data structures and tools that are shared across ROS client library
 implementations.
 .
 This package contains the Python library.

Package: rosbash
Section: utils
Architecture: all
Depends: ${misc:Depends}
Recommends: bash-completion
Multi-Arch: foreign
Description: Assorted shell commands for using Robot OS with bash
 This package is part of Robot OS (ROS). The rosbash package contains
 some useful bash functions and adds tab-completion to a large number
 of the basic ros utilities. The package includes limited support for
 zsh and tcsh by way of sourcing the roszsh or rostcsh files
 respectively. It doesn't provide documentation on these shells,
 though much of the functionality is similar to the bash shell
 extensions.

Package: python-rosboost-cfg
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Contains scripts used by the Robot OS rosboost-cfg tool
 This package is part of Robot OS (ROS). It is used for determining
 build flags (cflags/lflags/etc.) for boost on your system when you
 use it in a ROS environment.

Package: python-rosclean
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: cleanup Robot OS filesystem resources (e.g. logs)
 This package is part of Robot OS (ROS). rosclean purge will remove
 directories associated with storing ROS-related log files. You will
 be asked to confirm each deletion and it is important that you verify
 the command that rosclean purge executes is correct.

Package: python-roscreate
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Robot OS empty package template creator
 This package is part of Robot OS (ROS). It provides roscreate-pkg
 which creates empty ROS package templates and thus addresses the
 common problem of packages being created using pre-existing packages,
 which leads to errors in build files and manifests. The tool creates a
 new package directory, including the appropriate build and manifest
 files.

Package: python-rosmake
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: rosmake is a Robot OS dependency aware build tool
 This package is part of Robot OS (ROS). rosmake is a tool to assist
 with building ROS packages. It facilitates building packages that
 have dependencies, allowing all dependencies to be built in the
 correct order.

Package: python-rosunit
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Unit-testing package for ROS
 This package is part of Robot OS (ROS). python-rosunit is a
 lower-level library for rostest and handles unit tests, whereas
 rostest handles integration tests. It's an internal tool for running
 unit tests within ROS. While it can be run by a regular user, most
 users will generally use rosunit indirectly via rosbuild test macros.

=== debian/watch ===
version=3
https://github.com/ros/ros/tags \
(?:.*/|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)

## ros-ros 1.13.1

=== debian/changelog ===
ros-ros (1.13.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:49 +0000

ros-ros (1.13.1-1) unstable; urgency=medium

  * Imported Upstream version 1.13.1
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 17:02:26 +0200

ros-ros (1.12.5-5) unstable; urgency=medium

  * Add patch for rosrun nodelet nodelet

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 26 May 2016 15:15:23 +0200

## ros-ros 1.13.4

=== debian/changelog ===
ros-ros (1.13.4-2) unstable; urgency=medium

  * Set priority to optional to make deb check happy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 18:16:17 +0100

ros-ros (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2016 10:02:34 +0200

ros-ros (1.13.3-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.13.3
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Sep 2016 21:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ros-ros
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
 	       python,
 	       catkin (>= 0.6.16-4),
@@ -17,10 +17,10 @@
 	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 	       dh-python,
 	       libpython-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-ros.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-ros.git
-Homepage: http://www.ros.org/wiki/ROS
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
+Homepage: http://wiki.ros.org/ROS
 
 Package: ros-mk
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --parallel --buildsystem=cmake --with python2

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-ros 1.14.1

=== debian/changelog ===
ros-ros (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Aug 2017 20:14:57 +0200

ros-ros (1.14.0-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * New upstream version 1.14.0
  * Update policy and debhelper versions
  * Rebase patches
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 16 Jul 2017 09:01:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	       python,
-	       catkin (>= 0.6.16-4),
+	       catkin,
 	       librospack-dev,
 	       libboost-program-options-dev,
 	       libboost-filesystem-dev,
 	       libboost-thread-dev,
 	       libgtest-dev,
-	       libtinyxml-dev,
+	       libtinyxml2-dev,
 	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 	       dh-python,
 	       libpython-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Homepage: http://wiki.ros.org/ROS
@@ -37,7 +37,7 @@
 Package: rosbuild
 Section: devel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python
+Depends: ${misc:Depends}, ${python:Depends}, python:any
 Multi-Arch: foreign
 Description: scripts for managing the Robot OS build system
  This package is part of Robot OS (ROS). Rosbuild solves the core
@@ -51,7 +51,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common meta-package for all Robot OS client libraries
+Description: Common metapackage for all Robot OS client libraries
  This package is part of Robot OS (ROS). It is mainly used to find
  client libraries (via 'rospack depends-on1 roslang'). The roslang
  package is only of interest to those implementing a ROS client
@@ -63,6 +63,7 @@
 Package: libroslib-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev
 Description: development files for roslib (Robot OS)
  This package is part of Robot OS (ROS). It provides the base

## ros-ros 1.14.2

=== core/rosbuild/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbuild)
find_package(catkin REQUIRED)
catkin_package()

if(CMAKE_HOST_UNIX)
  catkin_add_env_hooks(10.rosbuild SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
else()
  catkin_add_env_hooks(10.rosbuild SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

# do not wildcard install files since the root folder of the package will contain a debian folder for releasing
install(FILES
  core/rosbuild/FindPkgConfig.cmake
  core/rosbuild/private.cmake
  core/rosbuild/ProcessorCount.cmake
  core/rosbuild/public.cmake
  core/rosbuild/rosbuild.cmake
  core/rosbuild/rosconfig.cmake
  core/rosbuild/rostoolchain.cmake
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/core/rosbuild)
catkin_install_python(PROGRAMS
  tests/count_cores.py
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/core/rosbuild/tests)
catkin_install_python(PROGRAMS
  core/rosbuild/bin/check_same_directories.py
  core/rosbuild/bin/download_checkmd5.py
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/core/rosbuild/bin)

=== core/roslang/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roslang)
find_package(catkin REQUIRED)
catkin_package()

install(FILES cmake/roslang.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

=== core/roslib/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES roslib
+  CATKIN_DEPENDS rospack
   CFG_EXTRAS roslib-extras.cmake)
 
 find_package(Boost REQUIRED COMPONENTS thread)

=== tools/rosmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosmake)
find_package(catkin REQUIRED)

catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-ros (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Oct 2017 10:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 	       dh-python,
 	       libpython-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
 Homepage: http://wiki.ros.org/ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --buildsystem=cmake --with python2

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-$1.tar.gz%" \
    https://github.com/ros/ros/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-ros 1.14.4

=== debian/changelog ===
ros-ros (1.14.4-3build2) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:00:54 +0200

ros-ros (1.14.4-3build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:03:24 +0000

ros-ros (1.14.4-3) unstable; urgency=medium

  * Add old 10.ros.sh patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Jul 2018 00:03:28 +0200

ros-ros (1.14.4-2) unstable; urgency=medium

  * Add Python 3 packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 21:42:53 +0200

ros-ros (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * Bump policy version (no changes)
  * Rebase patches
  * Cleanup

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 14:02:17 +0200

ros-ros (1.14.3-2) unstable; urgency=medium

  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Apr 2018 22:49:19 +0200

ros-ros (1.14.3-1) unstable; urgency=medium

  * Add missing dependency
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.14.3
  * Rebase patches
  * Update policy and debhelper versions
  * Remove dependency on ros_environment

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Apr 2018 10:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-	       python,
+Build-Depends: debhelper (>= 11),
 	       catkin,
 	       librospack-dev,
 	       libboost-program-options-dev,
@@ -14,13 +13,14 @@
 	       libboost-thread-dev,
 	       libgtest-dev,
 	       libtinyxml2-dev,
-	       python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
+	       python-all, python3-all, python-setuptools,
 	       dh-python,
 	       libpython-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-ros.git
-Homepage: http://wiki.ros.org/ROS
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
+Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/ROS
 
 Package: ros-mk
 Section: devel
@@ -90,18 +90,31 @@
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg, catkin
-Description: Python library for roslib (Robot OS)
+Description: Python 2 library for roslib (Robot OS)
  This package is part of Robot OS (ROS). It provides base dependencies
  and support libraries for ROS. roslib contains many of the common
  data structures and tools that are shared across ROS client library
  implementations.
  .
- This package contains the Python library.
+ This package contains the Python 2 library.
+
+Package: python3-roslib
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, catkin
+Description: Python 3 library for roslib (Robot OS)
+ This package is part of Robot OS (ROS). It provides base dependencies
+ and support libraries for ROS. roslib contains many of the common
+ data structures and tools that are shared across ROS client library
+ implementations.
+ .
+ This package contains the Python 3 library.
 
 Package: rosbash
 Section: utils
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, rospack-tools
 Recommends: bash-completion
 Multi-Arch: foreign
 Description: Assorted shell commands for using Robot OS with bash
@@ -118,59 +131,131 @@
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Contains scripts used by the Robot OS rosboost-cfg tool
+Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 2)
  This package is part of Robot OS (ROS). It is used for determining
  build flags (cflags/lflags/etc.) for boost on your system when you
  use it in a ROS environment.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosboost-cfg
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 3)
+ This package is part of Robot OS (ROS). It is used for determining
+ build flags (cflags/lflags/etc.) for boost on your system when you
+ use it in a ROS environment.
+ .
+ This package contains the Python 3 library.
 
 Package: python-rosclean
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: cleanup Robot OS filesystem resources (e.g. logs)
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg
+Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 2)
  This package is part of Robot OS (ROS). rosclean purge will remove
  directories associated with storing ROS-related log files. You will
  be asked to confirm each deletion and it is important that you verify
  the command that rosclean purge executes is correct.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosclean
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
+ This package is part of Robot OS (ROS). rosclean purge will remove
+ directories associated with storing ROS-related log files. You will
+ be asked to confirm each deletion and it is important that you verify
+ the command that rosclean purge executes is correct.
+ .
+ This package contains the Python 3 library.
 
 Package: python-roscreate
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Robot OS empty package template creator
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg, python-setuptools, python-roslib
+Description: Robot OS empty package template creator (Python 2)))))))))
  This package is part of Robot OS (ROS). It provides roscreate-pkg
  which creates empty ROS package templates and thus addresses the
  common problem of packages being created using pre-existing packages,
  which leads to errors in build files and manifests. The tool creates a
  new package directory, including the appropriate build and manifest
  files.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-roscreate
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, python3-setuptools, python3-roslib
+Description: Robot OS empty package template creator (Python 3)))))))))
+ This package is part of Robot OS (ROS). It provides roscreate-pkg
+ which creates empty ROS package templates and thus addresses the
+ common problem of packages being created using pre-existing packages,
+ which leads to errors in build files and manifests. The tool creates a
+ new package directory, including the appropriate build and manifest
+ files.
+ .
+ This package contains the Python 3 library.
 
 Package: python-rosmake
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: rosmake is a Robot OS dependency aware build tool
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg
+Description: rosmake is a Robot OS dependency aware build tool (Python 2)
  This package is part of Robot OS (ROS). rosmake is a tool to assist
  with building ROS packages. It facilitates building packages that
  have dependencies, allowing all dependencies to be built in the
  correct order.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosmake
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Description: rosmake is a Robot OS dependency aware build tool (Python 3)
+ This package is part of Robot OS (ROS). rosmake is a tool to assist
+ with building ROS packages. It facilitates building packages that
+ have dependencies, allowing all dependencies to be built in the
+ correct order.
+ .
+ This package contains the Python 3 library.
 
 Package: python-rosunit
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Unit-testing package for ROS
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospkg
+Description: Unit-testing package for ROS (Python 2)
  This package is part of Robot OS (ROS). python-rosunit is a
  lower-level library for rostest and handles unit tests, whereas
  rostest handles integration tests. It's an internal tool for running
  unit tests within ROS. While it can be run by a regular user, most
  users will generally use rosunit indirectly via rosbuild test macros.
+ .
+ This package contains the Python 2 library.
+
+Package: python3-rosunit
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Description: Unit-testing package for ROS (Python 3)
+ This package is part of Robot OS (ROS). python3-rosunit is a
+ lower-level library for rostest and handles unit tests, whereas
+ rostest handles integration tests. It's an internal tool for running
+ unit tests within ROS. While it can be run by a regular user, most
+ users will generally use rosunit indirectly via rosbuild test macros.
+ .
+ This package contains the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --buildsystem=cmake --with python2,python3

## ros-ros 1.14.6

=== debian/changelog ===
ros-ros (1.14.6-2) unstable; urgency=medium

  * Add missing dependency to rosclean

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Aug 2019 09:07:02 +0200

ros-ros (1.14.6-1) unstable; urgency=medium

  * New upstream version 1.14.6
  * Add missing depends
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 01 Aug 2019 18:21:57 +0200

ros-ros (1.14.4-6) unstable; urgency=medium

  * Fix rosrun

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 15:52:28 +0100

ros-ros (1.14.4-5) unstable; urgency=medium

  * Remove env hooks and add a dependency to ros-environment

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 17 Oct 2018 23:13:22 +0200

ros-ros (1.14.4-4) unstable; urgency=medium

  * Remove wrong patch (superseded by 0008-chmod-x-on-Python-modules)
  * Adopt to new catkin
  * Bump policy version (no changes)
  * simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 07:53:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
-	       catkin,
+Build-Depends: debhelper-compat (= 12),
+	       catkin (>= 0.7.14-5),
 	       librospack-dev,
 	       libboost-program-options-dev,
 	       libboost-filesystem-dev,
@@ -16,7 +16,7 @@
 	       python-all, python3-all, python-setuptools,
 	       dh-python,
 	       libpython-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
 Rules-Requires-Root: no
@@ -25,7 +25,7 @@
 Package: ros-mk
 Section: devel
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, rospack-tools
 Multi-Arch: foreign
 Description: Robot OS make file helpers
  This package is part of Robot OS (ROS). It is a collection of make
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev
+Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev, ros-environment
 Description: development files for roslib (Robot OS)
  This package is part of Robot OS (ROS). It provides the base
  dependencies and support libraries for ROS. roslib contains many of
@@ -167,7 +167,7 @@
 Section: python
 Architecture: all
 Multi-Arch: allowed
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, python3-distutils
 Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
  This package is part of Robot OS (ROS). rosclean purge will remove
  directories associated with storing ROS-related log files. You will

## ros-ros 1.14.7

=== ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros)
find_package(catkin REQUIRED)
catkin_metapackage()

=== core/roslib/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,6 @@
 
 if(NOT (APPLE OR WIN32 OR MINGW OR ANDROID))
   target_link_libraries(roslib rt)
-endif()
-
-
-if(CMAKE_HOST_UNIX)
-  catkin_add_env_hooks(10.ros SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
-else()
-  catkin_add_env_hooks(10.ros SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
 endif()
 
 catkin_python_setup()

=== tools/rosbash/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbash)
find_package(catkin)
catkin_package()

install(FILES rosbash rosfish rostcsh roszsh
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
if (WIN32)
  install(PROGRAMS scripts/rosrun.bat
    DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

  install(PROGRAMS scripts/rosfindpath.py scripts/roscd.bat scripts/rosls.bat
    DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
else()
  install(PROGRAMS scripts/rosrun
    DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
endif()

# making toplevel forward script for bash script rosrun
if(NOT WIN32)
  set(BASH_SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/scripts/rosrun)
  configure_file(${catkin_EXTRAS_DIR}/templates/script.bash.in
    ${CATKIN_DEVEL_PREFIX}/bin/rosrun
    @ONLY)
else()
  set(BAT_SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/scripts/rosrun.bat)
  configure_file(${catkin_EXTRAS_DIR}/templates/script.bat.in
    ${CATKIN_DEVEL_PREFIX}/bin/rosrun.bat
    @ONLY)
endif()

catkin_add_env_hooks(15.rosbash SHELLS bash fish tcsh zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

=== tools/rosboost_cfg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosboost_cfg)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

=== debian/changelog ===
ros-ros (1.14.7-3build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:34:38 +0000

ros-ros (1.14.7-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:39 +0000

ros-ros (1.14.7-3) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938392)
  * Drop versioned dep on catkin (version is in stable)
  * [rosbash] depend on catkin for catkin_find
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:28:57 +0200

ros-ros (1.14.7-2) unstable; urgency=medium

  * python3-rosunit depends on python-rosunit for cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Oct 2019 16:20:49 +0200

ros-ros (1.14.7-1) unstable; urgency=medium

  * Update Python 3 dependency
  * New upstream version 1.14.7
  * Rebase patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 22:09:40 +0200

=== debian/control ===
Source: ros-ros
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
	       catkin,
	       librospack-dev,
	       libboost-program-options-dev,
	       libboost-filesystem-dev,
	       libboost-thread-dev,
	       libgtest-dev,
	       libtinyxml2-dev,
	       python3-all, python3-setuptools,
	       dh-python,
	       libpython3-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ROS

Package: ros-mk
Section: devel
Architecture: all
Depends: ${misc:Depends}, rospack-tools
Multi-Arch: foreign
Description: Robot OS make file helpers
 This package is part of Robot OS (ROS). It is a collection of make
 include files for building ROS architectural elements.  Most package
 authors should use cmake.mk, which calls CMake for the build of the
 package. The other files in this package are intended for use in
 exotic situations that mostly arise when importing 3rdparty code.

Package: rosbuild
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3:any
Multi-Arch: foreign
Description: scripts for managing the Robot OS build system
 This package is part of Robot OS (ROS). Rosbuild solves the core
 problem of gathering appropriate build flags from, and tracking
 dependencies in, the ROS package tree. The macros provided by
 rosbuild automatically inherit the union of build flags exported by
 packages on which your package depends.

Package: roslang
Section: devel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common metapackage for all Robot OS client libraries
 This package is part of Robot OS (ROS). It is mainly used to find
 client libraries (via 'rospack depends-on1 roslang'). The roslang
 package is only of interest to those implementing a ROS client
 library. Client libraries mark themselves as such by depending on
 the roslang package, which allows rosbuild and other tools to perform
 appropriate actions, such as msg- and srv-based code generation. The
 roslang package itself contains no actual code.

Package: libroslib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev, ros-environment
Description: development files for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the development files for the library.

Package: libroslib0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the C library.

Package: python3-roslib
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg, python3-catkin
Breaks: python-roslib (<< 1.14.7-3)
Replaces: python-roslib (<< 1.14.7-3)
Description: Python 3 library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides base dependencies
 and support libraries for ROS. roslib contains many of the common
 data structures and tools that are shared across ROS client library
 implementations.
 .
 This package contains the Python 3 library.

Package: rosbash
Section: utils
Architecture: all
Depends: ${misc:Depends}, rospack-tools, catkin
Recommends: bash-completion
Multi-Arch: foreign
Description: Assorted shell commands for using Robot OS with bash
 This package is part of Robot OS (ROS). The rosbash package contains
 some useful bash functions and adds tab-completion to a large number
 of the basic ros utilities. The package includes limited support for
 zsh and tcsh by way of sourcing the roszsh or rostcsh files
 respectively. It doesn't provide documentation on these shells,
 though much of the functionality is similar to the bash shell
 extensions.

Package: python3-rosboost-cfg
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python-rosboost-cfg (<< 1.14.7-3)
Replaces: python-rosboost-cfg (<< 1.14.7-3)
Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 3)
 This package is part of Robot OS (ROS). It is used for determining
 build flags (cflags/lflags/etc.) for boost on your system when you
 use it in a ROS environment.
 .
 This package contains the Python 3 library.

Package: python3-rosclean
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg, python3-distutils
Breaks: python-rosclean (<< 1.14.7-3)
Replaces: python-rosclean (<< 1.14.7-3)
Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
 This package is part of Robot OS (ROS). rosclean purge will remove
 directories associated with storing ROS-related log files. You will
 be asked to confirm each deletion and it is important that you verify
 the command that rosclean purge executes is correct.
 .
 This package contains the Python 3 library.

Package: python3-roscreate
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg, python3-setuptools, python3-roslib
Breaks: python-roscreate (<< 1.14.7-3)
Replaces: python-roscreate (<< 1.14.7-3)
Description: Robot OS empty package template creator (Python 3)
 This package is part of Robot OS (ROS). It provides roscreate-pkg
 which creates empty ROS package templates and thus addresses the
 common problem of packages being created using pre-existing packages,
 which leads to errors in build files and manifests. The tool creates a
 new package directory, including the appropriate build and manifest
 files.
 .
 This package contains the Python 3 library.

Package: python3-rosmake
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg
Breaks: python-rosmake (<< 1.14.7-3)
Replaces: python-rosmake (<< 1.14.7-3)
Description: rosmake is a Robot OS dependency aware build tool (Python 3)
 This package is part of Robot OS (ROS). rosmake is a tool to assist
 with building ROS packages. It facilitates building packages that
 have dependencies, allowing all dependencies to be built in the
 correct order.
 .
 This package contains the Python 3 library.

Package: python3-rosunit
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg
Breaks: python-rosunit (<< 1.14.7-3)
Replaces: python-rosunit (<< 1.14.7-3)
Description: Unit-testing package for ROS (Python 3)
 This package is part of Robot OS (ROS). python3-rosunit is a
 lower-level library for rostest and handles unit tests, whereas
 rostest handles integration tests. It's an internal tool for running
 unit tests within ROS. While it can be run by a regular user, most
 users will generally use rosunit indirectly via rosbuild test macros.
 .
 This package contains the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh  $@ --buildsystem=cmake --with python3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-$1.tar.gz%" \
    https://github.com/ros/ros/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-ros 1.15.6

=== debian/changelog ===
ros-ros (1.15.6-1) unstable; urgency=medium

  * New upstream version 1.15.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Jul 2020 10:31:29 +0200

ros-ros (1.15.5-1) unstable; urgency=medium

  * New upstream version 1.15.5
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jul 2020 14:10:32 +0200

ros-ros (1.15.4-2) unstable; urgency=medium

  * Ignore rosfish in dh_missing as it is renamed by dh_exec

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 19:52:36 +0200

ros-ros (1.15.4-1) unstable; urgency=medium

  * New upstream version 1.15.4
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump policy and debhelper versions
  * Add rosfish patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 15:03:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ros-ros
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       catkin,
 	       librospack-dev,
 	       libboost-program-options-dev,
@@ -15,9 +13,10 @@
 	       libgtest-dev,
 	       libtinyxml2-dev,
 	       python3-all, python3-setuptools,
-	       dh-python,
-	       libpython3-dev
-Standards-Version: 4.4.1
+	       dh-sequence-python3,
+	       libpython3-dev,
+	       dh-exec,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
 Rules-Requires-Root: no
